@import "./reset";
//body {
//  display: grid;
//  grid-template-columns: 1fr;
//  grid-template-rows: repeat(5, 100px);
//  grid-template-areas:
//          "header"
//          "main"
//          "main"
//          "sidebar"
//          "footer"
//}
//.header {
//  background: green;
//  grid-area: header;
//}
//.main {
//  background: yellow;
//  grid-area: main;
//}
//.sidebar {
//  background: blue;
//  grid-area: sidebar;
//}
//.footer {
//  background: red;
//  grid-area: footer;
//}
//@media all and (min-width: 768px) {
//  body {
//    grid-template-columns: 1fr 1fr 1fr;
//    grid-template-areas:
//  "header header header"
//  "main main sidebar"
//  "main main sidebar"
//  "main main sidebar"
//  "footer footer footer";
//  }
//}
//@media all and (min-width: 1024px) {
//  body {
//    grid-template-columns: repeat(6, 1fr);
//    grid-template-areas:
//  "header header header header header header"
//  "main main main main sidebar sidebar"
//  "main main main main sidebar sidebar"
//  "main main main main sidebar sidebar"
//  "footer footer footer footer footer footer";
//  }
//}
//


.main {
  display: grid;
  grid-template-columns: repeat(12, [col-start] 1fr);
  grid-template-rows: repeat(10, minmax(100px, 1fr));
  grid-gap: 12px;

  div {
    background: red;
    padding: 30px;
    font-size: 30px;
  }
}

.item1 {
  grid-column: col-start / span 4;
  grid-row: 1 / 4;
}

.item2 {
  grid-column: 6 / span 12;
}

.item3 {
  grid-column: col-start / span 12;
  grid-row: 5 / span 7;
}

@media all and (max-width: 420px) {
  .item1 {
    grid-column: col-start / span 12;
    grid-row: 1 / 4;
  }

  .item2 {
    grid-column: col-start / span 12;
  }

  .item3 {
    grid-column: col-start / span 12;
    grid-row: 5 / span 7;
  }
}
